Boost (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class Boost

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.DTrees
      - - org.opencv.ml.Boost

-     public class Boost
      extends DTrees

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DISCRETE`
    `static int` | `GENTLE`
    `static int` | `LOGIT`
    `static int` | `REAL`

    - ### Fields inherited from class org.opencv.ml.DTrees

      `PREDICT_AUTO, PREDICT_MASK, PREDICT_MAX_VOTE, PREDICT_SUM`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Boost(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Boost` | `__fromPtr__(long addr)`
    `static Boost` | `create()`
    `protected void` | `finalize()`
    `int` | `getBoostType()`
    `int` | `getWeakCount()`
    `double` | `getWeightTrimRate()`
    `static Boost` | `load(java.lang.String filepath)`
    `static Boost` | `load(java.lang.String filepath, java.lang.String nodeName)`
    `void` | `setBoostType(int val)`
    `void` | `setWeakCount(int val)`
    `void` | `setWeightTrimRate(double val)`

    - ### Methods inherited from class org.opencv.ml.DTrees

      `getCVFolds, getMaxCategories, getMaxDepth, getMinSampleCount, getPriors, getRegressionAccuracy, getTruncatePrunedTree, getUse1SERule, getUseSurrogates, setCVFolds, setMaxCategories, setMaxDepth, setMinSampleCount, setPriors, setRegressionAccuracy, setTruncatePrunedTree, setUse1SERule, setUseSurrogates`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISCRETE

          public static final int DISCRETE

      See Also:
        Constant Field Values

    - #### REAL

          public static final int REAL

      See Also:
        Constant Field Values

    - #### LOGIT

          public static final int LOGIT

      See Also:
        Constant Field Values

    - #### GENTLE

          public static final int GENTLE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Boost

          protected Boost(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Boost __fromPtr__(long addr)

    - #### create

          public static Boost create()

    - #### load

          public static Boost load(java.lang.String filepath,
                                   java.lang.String nodeName)

    - #### load

          public static Boost load(java.lang.String filepath)

    - #### getWeightTrimRate

          public double getWeightTrimRate()

    - #### getBoostType

          public int getBoostType()

    - #### getWeakCount

          public int getWeakCount()

    - #### setBoostType

          public void setBoostType(int val)

    - #### setWeakCount

          public void setWeakCount(int val)

    - #### setWeightTrimRate

          public void setWeightTrimRate(double val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `DTrees`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown